> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Fetch Rich Transcripts

> List all rich transcription data for files in a collection. This API is only available when a collection is created with collection_type 'rich-transcripts'

For details on how to create a video collection, see [Create Collection](/api-reference/endpoint/collections/post)


## OpenAPI

````yaml GET /collections/{collection_id}/rich-transcripts
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.10
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /collections/{collection_id}/rich-transcripts:
    get:
      tags:
        - Collections
      summary: List all rich transcription data for files in a collection
      description: >-
        List all rich transcription data for files in a collection. This API is
        only available when a collection is created with collection_type
        'rich-transcripts'
      operationId: listCollectionRichTranscripts
      parameters:
        - name: collection_id
          in: path
          required: true
          description: The ID of the collection
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of files to return
          required: false
          schema:
            type: integer
            maximum: 100
        - name: offset
          in: query
          description: Number of files to skip
          required: false
          schema:
            type: integer
        - name: order
          in: query
          description: Order the files by a specific field
          required: false
          schema:
            type: string
            enum:
              - added_at
              - filename
        - name: sort
          in: query
          description: Sort the files in ascending or descending order
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: added_before
          in: query
          description: >-
            Filter files added before a specific date (YYYY-MM-DD format), in
            UTC timezone
          required: false
          schema:
            type: string
            format: date
        - name: added_after
          in: query
          description: >-
            Filter files added after a specific date (YYYY-MM-DD format), in UTC
            timezone
          required: false
          schema:
            type: string
            format: date
        - name: response_format
          in: query
          description: Format for the response
          required: false
          schema:
            type: string
            enum:
              - json
              - markdown
        - name: modalities
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ModalitiesSchema'
      responses:
        '200':
          description: A list of rich transcription data in the collection
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionRichTranscriptsList'
        '400':
          description: Collection type is not 'rich-transcripts'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Collection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ModalitiesSchema:
      type: array
      items:
        type: string
        enum:
          - speech
          - visual_scene_description
          - scene_text
          - audio_description
          - summary
          - segment_summary
          - title
      description: >-
        The modalities to output in the response. Can be used to return smaller
        data sets. Comma separated list of strings. Defaults to all modalities
        available / previously extracted. Accepted values are
        speech,visual_scene_description,scene_text, audio_description, summary,
        segment_summary, title
    CollectionRichTranscriptsList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          items:
            type: object
            properties:
              file_id:
                type: string
                description: ID of the file
              duration_seconds:
                type: number
                description: Duration of the video in seconds
              data:
                allOf:
                  - type: object
                    properties:
                      content:
                        type: string
                        description: >-
                          Content string returned based on formatting, e.g. set
                          to markdown text when response_format=markdown is
                          requested
                      title:
                        type: string
                        description: Generated title of the video
                      summary:
                        type: string
                        description: Generated video level summary
                      segment_summary:
                        type: array
                        description: >-
                          Array of summary information for each segment of the
                          video. Only available when enable_summary is set to
                          true in the transcribe configuration.
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Generated segment-level title
                            summary:
                              type: string
                              description: Generated segment-level summary
                            start_time:
                              type: number
                              description: Start time of segment in seconds
                            end_time:
                              type: number
                              description: End time of segment in seconds
                  - $ref: '#/components/schemas/DescribeOutput'
            required:
              - file_id
              - data
          description: Array of rich transcription data
        total:
          type: integer
          description: >-
            Total number of files with rich transcription data matching the
            query
        limit:
          type: integer
          description: Number of items returned in this response
        offset:
          type: integer
          description: Offset from the start of the list
      required:
        - object
        - data
        - total
        - limit
        - offset
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    DescribeOutput:
      type: object
      properties:
        visual_scene_description:
          type: array
          description: Array of visual descriptions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
        scene_text:
          type: array
          description: Array of scene text extractions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
        speech:
          type: array
          description: Array of speech transcriptions
          items:
            $ref: '#/components/schemas/SpeechOutputPart'
        audio_description:
          type: array
          description: Array of audio descriptions
          items:
            $ref: '#/components/schemas/DescribeOutputPart'
    DescribeOutputPart:
      type: object
      properties:
        text:
          type: string
          description: Text content
        start_time:
          type: number
          description: Start time in seconds
        end_time:
          type: number
          description: End time in seconds
    SpeechOutputPart:
      type: object
      properties:
        speaker:
          type: string
          description: Identified speaker
        text:
          type: string
          description: Transcribed speech text
        start_time:
          type: number
          description: Start time of speech in seconds
        end_time:
          type: number
          description: End time of speech in seconds
        words:
          type: array
          description: >-
            Word-level timestamps. Only present when
            include_word_timestamps=true. Not available for YouTube sources.
          items:
            $ref: '#/components/schemas/WordTimestamp'
    WordTimestamp:
      type: object
      description: A single word with its timing information
      properties:
        word:
          type: string
          description: The word text
        start_time:
          type: number
          description: Start time of the word in seconds
        end_time:
          type: number
          description: End time of the word in seconds
      required:
        - word
        - start_time
        - end_time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````